Uploaded image for project: 'EMR API'
  1. EMR API
  2. EA-60

Update emrapi module to work with openmrs-core 1.11.x

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 1.5
    • Fix Version/s: 1.6
    • Labels:
      None
    • Complexity:
      Undetermined

      Description

      (See RA-618)

      The emrapi module refers to ConceptWord (which was removed from openmrs-core in 1.11.x) in at least one place.

      We need to fix this specific issue, as well as any other code broken against openmrs-core 1.11.x

      Note: it is important to maintain compatibility both with previous versions of OpenMRS Platform and OpenMRS Platform 1.11+.

      Dev Notes

      I suggest just changing the maven dependency to point to set openMRSVersion to 1.11.1, and checking to see if the project compiles.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                raff Rafal Korytkowski
                Reporter:
                darius Darius Jazayeri
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: